
/**
 * CategoryVO，管理后台 - 类目 Response VO
 */
export interface CategoryVO {
    /**
     * 类目名称，最大长度不能超过125
     */
    categoryName: string;
    /**
     * 类目英文名称，最大长度255
     */
    categoryNameEn: string;
    /**
     * 创建时间
     */
    createTime: Date;
    /**
     * 主键
     */
    id: number;
    /**
     * 是否叶子节点，(1: 是, 2:不是)
     */
    isLeaf?: string;
    /**
     * 目录级别
     */
    level?: string;
    /**
     * 父类目id
     */
    parentId?: number;
    /**
     * 备注，最大长度255
     */
    remark?: string;
}


export interface CategoryPageReqVO extends PageParam {
    /**
     * 类目名称
     */
    categoryName?: string;
    /**
     * 类目英文名称
     */
    categoryNameEn?: string;
    /**
     * 创建时间
     */
    createTime?: string[];
}
