import request from '@/request';
import { ErrorCodeVO, ErrorCodePageReqVO, PageData } from '@/models'

const BASE_URL = '/admin-api/system/error-code';

export default {

    // 查询错误码列表
    getErrorCodePageApi: (params: ErrorCodePageReqVO) => {
        return request.get<PageData<ErrorCodeVO>>(`${BASE_URL}/page`, { params })
    },

    // 查询错误码详情
    getErrorCodeApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`)
    },

    // 新增错误码
    createErrorCodeApi: (data: ErrorCodeVO) => {
        return request.post(`${BASE_URL}/create`, data)
    },

    // 修改错误码
    updateErrorCodeApi: (data: ErrorCodeVO) => {
        return request.put(`${BASE_URL}/update`, data)
    },

    // 删除错误码
    deleteErrorCodeApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`)
    },
    // 导出错误码
    excelErrorCodeApi: (params: ErrorCodePageReqVO) => {
        return request.get(`${BASE_URL}/export-excel`, { params, responseType: 'blob' })
    },

};

