import request from '@/request';
import { RedisMonitorInfoVO, RedisInfoVO, RedisCommandStatsVO, RedisKeyInfo } from '@/models';

const BASE_URL = '/admin-api/infra/redis';


export default {

    /**
     * 获取redis 监控信息
     */
    getCacheApi: () => {
        return request.get<RedisMonitorInfoVO>(`${BASE_URL}/get-monitor-info`)
    },
    // 获取模块
    getKeyDefineListApi: () => {
        return request.get<RedisKeyInfo[]>(`${BASE_URL}/get-key-define-list`)
    },
    /**
     * 获取redis key列表
     */
    getKeyListApi: (keyTemplate: string) => {
        return request.get(`${BASE_URL}/get-key-list`, { params: { keyTemplate } })
    },
    // 获取缓存内容
    getKeyValueApi: (key: string) => {
        return request.get(`${BASE_URL}/get-key-value?key=${key}`)
    },

    // 根据键名删除缓存
    deleteKeyApi: (key: string) => {
        return request.delete(`${BASE_URL}/delete-key?key=${key}`)
    },

    deleteKeysApi: (keyTemplate: string) => {
        return request.delete(`${BASE_URL}/delete-keys`, { params: { keyTemplate } })
    },

}
